aim4.vehicle

## Class BasicVehicle.TrackMovement

- java.lang.Object
- - aim4.vehicle.BasicVehicle.NonAccelMovement
  - - aim4.vehicle.BasicVehicle.TrackMovement

- All Implemented Interfaces:
    BasicVehicle.Movement
  Enclosing class:
    BasicVehicle

      public static class BasicVehicle.TrackMovement
      extends BasicVehicle.NonAccelMovement

  The track movement.

- - ### Field Summary

    - ### Fields inherited from class aim4.vehicle.BasicVehicle.NonAccelMovement

      `heading, position, spec, velocity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicVehicle.TrackMovement(VehicleSpec spec, Point2D position, double heading, double velocity, TrackPosition trackPosition, BasicVehicle.MovementFactory baseMovementFactory)` Create a track movement.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `move(double currentTime, double timeStep)` Move the vehicle for a given period of time.
    `String` | `toString()`

    - ### Methods inherited from class aim4.vehicle.BasicVehicle.NonAccelMovement

      `getHeading, getPosition, getVehicleSpec, getVelocity, setVelocityWithBound`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicVehicle.TrackMovement

          public BasicVehicle.TrackMovement(VehicleSpec spec,
                                    Point2D position,
                                    double heading,
                                    double velocity,
                                    TrackPosition trackPosition,
                                    BasicVehicle.MovementFactory baseMovementFactory)

      Create a track movement.
      Parameters:
        `spec` - the vehicle specification
        `position` - the position
        `heading` - the heading
        `velocity` - the velocity
        `trackPosition` - the track position
        `baseMovementFactory` - the base movement factory

  - ### Method Detail

    - #### move

          public void move(double currentTime,
                  double timeStep)

      Move the vehicle for a given period of time.
      Parameters:
        `currentTime` - the current time
        `timeStep` - the period of time for which the vehicle moves.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicVehicle.NonAccelMovement`

Copyright © 2013. All rights reserved.